# Timer used at the end of each scene
execute if score SCENE dialogue matches 1..101 run scoreboard players add SCENE dialogue 1
execute if score SCENE dialogue matches 101.. run scoreboard players reset SCENE dialogue


# Scene 1
execute unless score SCENE dialogue matches 1.. as @a[tag=START] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 10 as @a[tag=START] run effect give @a blindness 6 1 true
execute if score SCENE dialogue matches 99 as @a[tag=START] run tp @a 1000 15 1000
execute if score SCENE dialogue matches 99 as @a[tag=START] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=START] run tag @s add Josh_1a
execute as @a[tag=START] run tp @e[tag=Cheryl1] 1080.6 42.7 988.0
execute as @a[tag=START] run tp @e[tag=sheets1a] 1080.1 42.88 988.0
execute as @a[tag=START] run tp @e[tag=sheets1b] 1080.1 42.88 987.0
execute as @a[tag=START] run weather clear 999999
execute as @a[tag=START] run time set 22000
execute as @a[tag=START] run gamemode adventure @a
execute if score SCENE dialogue matches 100 as @a[tag=START] run tag @s remove START


# Scene 2
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end1] run scoreboard players set SCENE dialogue 1
execute as @a[tag=scene_end1] run tp @e[tag=Cheryl1] 1000 20 1000
execute as @a[tag=scene_end1] run tp @e[tag=sheets1a] 1000 20 1000
execute as @a[tag=scene_end1] run tp @e[tag=sheets1b] 1000 20 1000
execute as @a[tag=scene_end1] run tag @e[tag=Cheryl1] remove A_headRl
execute as @a[tag=scene_end1] run execute as @e[tag=Cheryl1] run data merge entity @s {Pose:{Head:[280f,0f,0f]}}
execute if score SCENE dialogue matches 90 as @a[tag=scene_end1] run tp @a 999.53 21 939.0 180 0
execute if score SCENE dialogue matches 100 as @a[tag=scene_end1] run tag @s remove scene_end1


# Scene 3
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end2] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 90 as @a[tag=scene_end2] run tp @a 939 21 1000.2 180 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end2] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=scene_end2] run tag @s add Josh_2a
execute if score SCENE dialogue matches 100 as @a[tag=scene_end2] run tag @s remove scene_end2


# Scene 4
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end3] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 90 as @a[tag=scene_end3] run tp @a 939 32 981 90 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end3] run tag @s add Josh_3a
execute if score SCENE dialogue matches 100 as @a[tag=scene_end3] run tag @s remove scene_end3


# Scene 5
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end4] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 98 as @a[tag=scene_end4] run tp @a 936 41 1006.2 -175 20
execute if score SCENE dialogue matches 99 as @a[tag=scene_end4] run tag @s add tp3
execute if score SCENE dialogue matches 100 as @a[tag=scene_end4] run tag @s remove scene_end4


# Scene 6
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end5] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 80 as @a[tag=scene_end5] run time set day
execute if score SCENE dialogue matches 90 as @a[tag=scene_end5] run tp @a 1004 25 1049 15 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end5] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=scene_end5] run tag @s add Josh_4a
execute as @a[tag=scene_end5] run tag @e[tag=Cheryl3] remove A_headLl
execute as @a[tag=scene_end5] run execute as @e[tag=Cheryl3] run data merge entity @s {Pose:{Head:[280f,0f,0f]}}
execute if score SCENE dialogue matches 100 as @a[tag=scene_end5] run tag @s remove scene_end5


# Scene 7
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end6] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 98 as @a[tag=scene_end6] run tp @a 1057 37 996 -90 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end6] run tag @s add tp4
execute if score SCENE dialogue matches 99 as @a[tag=scene_end6] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=scene_end6] run tag @s add Josh_5a
execute as @a[tag=scene_end6] run setblock 999 30 1060 dark_oak_door[facing=south,hinge=right,open=false]
execute as @a[tag=scene_end6] run tp @e[tag=Cheryl4] 1069.8 36.85 997
execute if score SCENE dialogue matches 100 as @a[tag=scene_end6] run tag @s remove scene_end6


# Scene 8
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end7] run scoreboard players set SCENE dialogue 1
execute as @a[tag=scene_end7] run tp @e[tag=Cheryl4] 1000 20 1000
execute if score SCENE dialogue matches 90 as @a[tag=scene_end7] run tp @a 991 30 1062 90 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end7] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=scene_end7] run tag @s add Josh_6a
execute if score SCENE dialogue matches 100 as @a[tag=scene_end7] run tag @s remove scene_end7


# Scene 9
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end8] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 98 as @a[tag=scene_end8] run tp @a 1057 37 996 -90 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end8] run tag @s add tp4
execute if score SCENE dialogue matches 99 as @a[tag=scene_end8] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=scene_end8] run tag @s add Josh_7a
execute as @a[tag=scene_end8] run tp @e[tag=Cheryl5] 1062 42.85 990.3
execute if score SCENE dialogue matches 100 as @a[tag=scene_end8] run tag @s remove scene_end8


# Scene 10
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end9] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 98 as @a[tag=scene_end9] run tp @a 916 52 988 -90 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end9] run tag @s add tp5
execute if score SCENE dialogue matches 99 as @a[tag=scene_end9] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=scene_end9] run tag @s add Josh_8a
execute as @a[tag=scene_end9] run tp @e[tag=Cheryl5] 1000 20 1000
execute if score SCENE dialogue matches 100 as @a[tag=scene_end9] run tag @s remove scene_end9


# Scene 11
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end10] run scoreboard players set SCENE dialogue 1
execute if score SCENE dialogue matches 98 as @a[tag=scene_end10] run tp @a 1057 37 996 -90 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end10] run tag @s add tp4
execute if score SCENE dialogue matches 99 as @a[tag=scene_end10] run tag @s add npc
execute if score SCENE dialogue matches 99 as @a[tag=scene_end10] run tag @s add Josh_9a
execute as @a[tag=scene_end10] run tp @e[tag=C_final,tag=body] 1062.82 41.815 999.7 10 0
execute as @a[tag=scene_end10] run tp @e[tag=C_final,tag=arm1] 1062.72 41.6 999.85 95 0
execute as @a[tag=scene_end10] run tp @e[tag=C_final,tag=arm2] 1062.9 42.15 999.88 95 0
execute as @a[tag=scene_end10] run tp @e[tag=C_final,tag=leg1] 1062.72 41.715 999.2 95 0
execute as @a[tag=scene_end10] run tp @e[tag=C_final,tag=leg2] 1062.8 42.056 999.25 95 0
execute as @a[tag=scene_end10] run tp @e[tag=pills] 1063 43.0925 1001
execute as @a[tag=scene_end10] run tp @e[tag=mug_end] 1063.6 41.72 1000.4
execute as @a[tag=scene_end10] run setblock 1064 44 1001 lever[face=wall,facing=north,powered=true]
execute as @a[tag=scene_end10] run setblock 1066 43 999 birch_door[facing=east,hinge=right,open=false]
execute as @a[tag=scene_end10] run tp @e[tag=mug] 1000 20 1000
execute if score SCENE dialogue matches 100 as @a[tag=scene_end10] run tag @s remove scene_end10


# END
execute unless score SCENE dialogue matches 1.. as @a[tag=scene_end11] run scoreboard players set SCENE dialogue 1
execute as @a[tag=scene_end11] run tp @e[tag=C_final] 1000 20 1000
execute as @a[tag=scene_end11] run tp @e[tag=pills] 1000 20 1000
execute as @a[tag=scene_end11] run tp @e[tag=mug_end] 1000 20 1000
execute as @a[tag=scene_end11] run setblock 1064 44 1001 lever[face=wall,facing=north,powered=false]
execute as @a[tag=scene_end11] run setblock 1066 43 999 birch_door[facing=east,hinge=right,open=false]
execute as @a[tag=scene_end11] run tp @e[tag=mug] 1068.5 37.81 986.3
execute if score SCENE dialogue matches 99 as @a[tag=scene_end11] run tp @a[tag=!SECRET] 1000 100 1000 -90 0
execute if score SCENE dialogue matches 99 as @a[tag=scene_end11] run tp @a[tag=SECRET] 1000 80 1000
execute if score SCENE dialogue matches 100 as @a[tag=scene_end11] run tag @s remove scene_end11